from abc import ABC, abstractmethod
from typing import Optional

from cpl_query.extension import List

from bot_data.model.steam_special_offer import SteamSpecialOffer


class SteamSpecialOfferRepositoryABC(ABC):
    @abstractmethod
    def __init__(self):
        pass

    @abstractmethod
    def get_steam_special_offers(self) -> List[SteamSpecialOffer]:
        pass

    @abstractmethod
    def get_steam_special_offer_by_name(self, name: str) -> SteamSpecialOffer:
        pass

    @abstractmethod
    def add_steam_special_offer(self, steam_special_offer: SteamSpecialOffer):
        pass

    @abstractmethod
    def update_steam_special_offer(self, steam_special_offer: SteamSpecialOffer):
        pass

    @abstractmethod
    def delete_steam_special_offer(self, steam_special_offer: SteamSpecialOffer):
        pass
