import { DataWithHistory } from "../data/data.model";
import { FeatureFlag } from "./feature-flags.model";

export interface ServerConfig extends DataWithHistory {
  id?: number;
  messageDeleteTimer?: number;
  notificationChatId?: string;
  maxVoiceStateHours?: number;
  xpPerMessage?: number;
  xpPerReaction?: number;
  maxMessageXpPerHour?: number;
  xpPerOntimeHour?: number;
  xpPerEventParticipation?: number;
  xpPerAchievement?: number;
  xpForBirthday?: number;
  afkCommandChannelId?: string;
  helpVoiceChannelId?: string;
  teamChannelId?: string;
  loginMessageChannelId?: string;
  defaultRoleId?: string;
  shortRoleNameOnlySetHighestRole?: boolean;
  gameOfferNotificationChatId?: string;
  featureFlags: FeatureFlag[];
  afkChannelIds: string[];
  moderatorRoleIds: string[];
  adminRoleIds: string[];
}
